Subject: Re: [PATCH net v2 0/2] Fix PHY handle no longer parsing

From: "Russell King (Oracle)" <[email-masked]>
Date: Fri, 17 Mar 2023 20:54:27 +0000

On Tue, Mar 14, 2023 at 03:02:06PM +0800, Michael Sit Wei Hong wrote:
> After the fixed link support was introduced, it is observed that PHY
> no longer attach to the MAC properly.

You are aware, I hope, that fixed-link and having a PHY are mutually
exclusive?

In other words, you can't use fixed-link to specify parameters for a
PHY.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!